﻿// Disclaimer:
// This software is provided AS IS for educational purposes only,
// with no warranties, and confers no rights. Error checking is 
// elided for clarity. Carry out sufficient tests prior to using
// it in a productive environment.
// CASIO Europe GmbH accepts no responsibility for loss or damage
// arising from its use, including damage from virus.
//
// Please, note: This configuration information may be changed
// without any further notice.
// Casio Europe GmbH does not guarantee future compatibility. By 
// using this software you agree to these terms and conditions.
//
// Version 1.00 - October 14, 2010
//
// Remarks: You need latest versions of CASIO runtime libraries on
// your mobile device. If they are not already installed, you can 
// find them as part of the SDK.
//////////////////////////////////////////////////////////////////////

using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;

namespace LMWinSample
{
    internal sealed class Lmwin
    {
        internal static int Start()
        {
            int result = 0;

            try
            {
                using (Process lmwin = new Process())
                {
                    lmwin.StartInfo.FileName = "\\windows\\flce.exe";
                    lmwin.StartInfo.Arguments = "/Y={USB,,}";
                    lmwin.Start();
                    lmwin.WaitForExit();
                    result = lmwin.ExitCode;

                }
            }
            catch (Exception exc)
            {
                Debug.WriteLine(exc.ToString());
            }

            return result;
        }
    }
}
